# general info
NAME="binutils"
DESC="Collection of binary tools"
VERSION="2.42"

# required files
FILES=("https://sourceware.org/pub/binutils/releases/binutils-${VERSION}.tar.xz")
HASHES=("a075178a9646551379bfb64040487715")

# install and build depends
DEPENDS=("glibc" "jansson" "libelf" "zlib" "zstd")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  mkdir -v build
  cd       build

  ../configure --prefix=/usr     \
             --sysconfdir=/etc   \
             --enable-gold       \
             --enable-ld=default \
             --enable-plugins    \
             --enable-shared     \
             --disable-werror    \
             --enable-64-bit-bfd \
             --with-system-zlib  \
             --enable-default-hash-style=gnu

  make tooldir=/usr && make DESTDIR="${ROOTDIR}" tooldir=/usr install
  rm -fv "${ROOTDIR}/usr/lib/lib"{bfd,ctf,ctf-nobfd,gprofng,opcodes,sframe}.a

  cd ../.. && rm -r "${NAME}-${VERSION}"
}
