# general info
NAME="brotli"
DESC="Generic-purpose lossless compression algorithm"
VERSION="1.1.0"

# required files
FILES=("https://github.com/google/brotli/archive/v${VERSION}/brotli-${VERSION}.tar.gz")
HASHES=("3a6a3dba82a3604792d3cb0bd41bca60")

# install and build depends
DEPENDS=("glibc" "python3")
BUILD=(
  "cmake" "pypa-build" "pypa-installer"
  "pypa-wheel"
)

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  mkdir build
  cd    build

  cmake -DCMAKE_INSTALL_PREFIX=/usr \
      -DCMAKE_BUILD_TYPE=Release .. 
  make
  make DESTDIR="${ROOTDIR}" install

  cd ..
  sed "/c\/.*\.[ch]'/d;\
     /include_dirs=\[/\
     i libraries=['brotlicommon','brotlidec','brotlienc']," \
    -i setup.py

  python3 -m build --wheel --skip-dependency-check --no-isolation
  PYTHONPATH=src python3 -m installer --destdir="${ROOTDIR}" dist/*.whl

  cd .. && rm -r "${NAME}-${VERSION}"
}
