# general info
NAME="e2fsprogs"
DESC="Utilities for handling the ext file systems"
VERSION="1.47.0"

# required files
FILES=("https://downloads.sourceforge.net/project/e2fsprogs/e2fsprogs/v${VERSION}/e2fsprogs-${VERSION}.tar.gz")
HASHES=("6b4f18a33873623041857b4963641ee9")

# install and build depends
DEPENDS=("bash" "util-linux")
BUILD=("systemd")

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  mkdir -v build
  cd       build

  ../configure --prefix=/usr      \
             --sysconfdir=/etc    \
             --enable-elf-shlibs  \
             --disable-libblkid   \
             --disable-libuuid    \
             --disable-uuidd      \
             --disable-fsckmake

  make && make DESTDIR="${ROOTDIR}" install
  rm -fv "${ROOTDIR}/usr/lib/"{libcom_err,libe2p,libext2fs,libss}.a
  gunzip -v "${ROOTDIR}/usr/share/info/libext2fs.info.gz"
  install-info --dir-file="${ROOTDIR}/usr/share/info/dir" "${ROOTDIR}/usr/share/info/libext2fs.info"

  cd ../.. && rm -r "${NAME}-${VERSION}"
}
