# general info
NAME="expect"
DESC="Tool for automating interactive applications such as telnet, ftp, passwd, fsck, rlogin, tip, etc."
VERSION="5.45.4"

# required files
FILES=("https://prdownloads.sourceforge.net/expect/expect${VERSION}.tar.gz")
HASHES=("00fce8de158422f5ccd2666512329bd2")

# install and build depends
DEPENDS=("tcl")
BUILD=()

PACKAGE(){
  tar xf "${NAME}${VERSION}.tar.gz"
  cd "${NAME}${VERSION}"

  ./configure --prefix=/usr         \
            --with-tcl=/usr/lib     \
            --enable-shared         \
            --mandir=/usr/share/man \
            --with-tclinclude=/usr/include
  make && make DESTDIR="${ROOTDIR}" install
  ln -svf "expect${VERSION}/libexpect${VERSION}.so" "${ROOTDIR}/usr/lib"

  cd .. && rm -r "${NAME}${VERSION}"
}
