# general info
NAME="libelf"
DESC="Library for handling ELF (Executable and Linkable Format) files"
VERSION="0.191"

# required files
FILES=("https://sourceware.org/ftp/elfutils/${VERSION}/elfutils-${VERSION}.tar.bz2")
HASHES=("e22d85f25317a79b36d370347e50284c9120c86f9830f08791b7b6a7b4ad89b9bf4c7c71129133b8d193a0edffb2a2c17987b7e48428b9670aff5ce918777e04")

# install and build depends
DEPENDS=(
  "gcc-libs" "glibc" "bzip2" 
  "xz" "zlib" "zstd"
)
BUILD=()

PACKAGE(){
  tar xf "elfutils-${VERSION}.tar.bz2"
  cd "elfutils-${VERSION}"

  ./configure --prefix=/usr        \
              --disable-debuginfod \
              --enable-libdebuginfod=dummy
  make
  make DESTDIR="${ROOTDIR}" -C libelf install

  install -dm755 "${ROOTDIR}/usr/lib/pkgconfig"
  install -vm644 config/libelf.pc "${ROOTDIR}/usr/lib/pkgconfig"
  rm "${ROOTDIR}/usr/lib/libelf.a"

  cd .. && rm -r "elfutils-${VERSION}"
}
