# general info
NAME="openldap"
DESC="Community developed LDAP software"
VERSION="2.6.8"

# required files
FILES=(
  "https://www.openldap.org/software/download/OpenLDAP/openldap-release/openldap-${VERSION}.tgz"
  "openldap-${VERSION}-consolidated-1.patch"
)
HASHES=(
  "48969323e94e3be3b03c6a132942dcba7ef8d545f2ad35401709019f696c3c4e"
  "ee96840f2235bdd810e41e8cbc2faf4d46b83c0c15be937701c147b099d0232d"
)

# install and build depends
DEPENDS=(
  "unixodbc" "systemd" "perl"
  "libtool" "openssl"
)
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tgz"
  cd "${NAME}-${VERSION}"

  patch -Np1 -i "../openldap-${VERSION}-consolidated-1.patch"
  autoconf

  ./configure --prefix=/usr   \
            --sysconfdir=/etc \
            --disable-static  \
            --enable-dynamic  \
            --disable-debug   \
            --disable-slapd

  make depend
  make
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}-${VERSION}"
}
