# general info
NAME="p11-kit"
DESC="Provides a way to load and enumerate PKCS#11 modules"
VERSION="0.25.5"

# required files
FILES=(
  "https://github.com/p11-glue/p11-kit/releases/download/${VERSION}/p11-kit-${VERSION}.tar.xz"
  "trust-extract-compat"
)
HASHES=(
  "04d0a86450cdb1be018f26af6699857171a188ac6d5b8c90786a60854e1198e5"
  "74b2796f085047860109fe81f99dffea93983a4d7d165097b5b5da66c9296068"
)

# install and build depends
DEPENDS=(
  "libtasn1" "make-ca" "libxslt"
  "nss" "systemd" "glibc"
  "coreutils"
)
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  install -m644 "${ROOTDIR}/trust-extract-compat" trust/trust-extract-compat
  sed '20,$ d' -i trust/trust-extract-compat

  mkdir p11-build
  cd    p11-build

  meson setup ..          \
      --prefix=/usr       \
      --buildtype=release \
      -Dtrust_paths=/etc/pki/anchors
  ninja

  DESTDIR="${ROOTDIR}" ninja install
  ln -sfv /usr/libexec/p11-kit/trust-extract-compat \
          "${ROOTDIR}/usr/bin/update-ca-certificates"

  cd ../.. && rm -r "${NAME}-${VERSION}"
}
