# general info
NAME="perl"
DESC="Highly capable, feature-rich programming language with over 36 years of development"
VERSION="5.38.2"

_RVERSION="$(echo "${VERSION}" | cut -d. -f1)"
_DVERSION="${_RVERSION}.$(echo "${VERSION}" | cut -d. -f2)"

# required files
FILES=("https://www.cpan.org/src/${_RVERSION}.0/perl-${VERSION}.tar.xz")
HASHES=("d3957d75042918a23ec0abac4a2b7e0a")

# install and build depends
DEPENDS=("gdbm" "glibc" "libxcrypt" "procps-ng")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  sh Configure -des                                              \
             -Dprefix=/usr                                       \
             -Dvendorprefix=/usr                                 \
             -Duseshrplib                                        \
             -Dprivlib=/usr/lib/perl5/${_DVERSION}/core_perl     \
             -Darchlib=/usr/lib/perl5/${_DVERSION}/core_perl     \
             -Dsitelib=/usr/lib/perl5/${_DVERSION}/site_perl     \
             -Dsitearch=/usr/lib/perl5/${_DVERSION}/site_perl    \
             -Dvendorlib=/usr/lib/perl5/${_DVERSION}/vendor_perl \
             -Dvendorarch=/usr/lib/perl5/${_DVERSION}/vendor_perl
  make
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}-${VERSION}"
}
