# general info
NAME="python3"
_NAME="Python"

DESC="Python development environment"
VERSION="3.12.2"

# required files
FILES=(
  "https://www.python.org/ftp/python/${VERSION}/Python-${VERSION}.tar.xz"
  "https://www.python.org/ftp/python/doc/${VERSION}/python-${VERSION}-docs-html.tar.bz2"
)
HASHES=(
  "e7c178b97bf8f7ccd677b94d614f7b3c"
  "8a6310f6288e7f60c3565277ec3b5279"
)

# install and build depends
DEPENDS=(
  "bzip2" "expat" "libffi"
  "libxcrypt" "openssl" "gdbm"
  "zlib" "tzdata" "sqlite" "xz"
)
BUILD=()

PACKAGE(){
  tar xf "${_NAME}-${VERSION}.tar.xz"
  cd "${_NAME}-${VERSION}"

  ./configure --prefix=/usr      \
            --enable-shared      \
            --with-system-expat  \
            --enable-optimizations
  make
  make DESTDIR="${ROOTDIR}" install

  install -v -dm755 "${ROOTDIR}/usr/share/doc/python-${VERSION}/html"
  tar --no-same-owner -xvf "../python-${VERSION}-docs-html.tar.bz2"
  cp -R --no-preserve=mode "python-${VERSION}-docs-html/"* \
                           "${ROOTDIR}/usr/share/doc/python-${VERSION}/html"

  cd .. && rm -r "${_NAME}-${VERSION}"
}
