# general info
NAME="swig"
DESC="Software development tool that connects programs written in C and C++"
VERSION="4.2.1"

# required files
FILES=(
  "https://github.com/swig/swig/archive/refs/tags/v${VERSION}.tar.gz"
  "https://github.com/swig/swig/commit/3d515751.patch"
)
HASHES=(
  "5d653333f73356d4d5ba8b615882e49f33f188bc68d8204352116bc4aca7946ec01ce2e02524c5ce805b98c2219ed05e664120485bf18095c5c0785436487074"
  "5f205fbcb330f436579471865b8386dec58fb67569f97c9159bce0bcc1ee12924b4d8782f8808fafe5bf43ee6b9d961fb981eb4af0ef60b5cb6baee011745f7d"
)

# install and build depends
DEPENDS=("gcc-libs" "glibc" "pcre2" "zlib")
BUILD=("python3" "lua" "tcl")

PACKAGE(){
  tar xf "v${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  patch -p1 < ../3d515751.patch
  ./autogen.sh

  ./configure --prefix=/usr                    \
            --without-javascript               \
            --without-maximum-compile-warnings
  make
  make DESTDIR="${ROOTDIR}" install

  install -Ddm755 "${ROOTDIR}/usr/share/doc"
  cp -v -R Doc -T "${ROOTDIR}/usr/share/doc/swig-${VERSION}"

  cd .. && rm -r "${NAME}-${VERSION}"
}
