# general info
NAME="unixodbc"
DESC="Open Source ODBC sub-system and an ODBC SDK for UNIX"
VERSION="2.3.12"

# required files
FILES=("https://github.com/lurcher/unixODBC/archive/refs/tags/${VERSION}.tar.gz")
HASHES=("b72ffed23f6e86c08a5c5d5db3f57b579a680b893dec38c9ae89230de49412df")

# install and build depends
DEPENDS=("glibc" "readline" "libtool")
BUILD=()

PACKAGE(){
  tar xf "${VERSION}.tar.gz"
  cd "unixODBC-${VERSION}"

  autoreconf -i
  ./configure --prefix=/usr \
              --sysconfdir=/etc/unixODBC
  make
  make DESTDIR="${ROOTDIR}" install

  find doc -name "Makefile*" -delete
  chmod 644 doc/{lst,ProgrammerManual/Tutorial}/*

  install -v -m755 -d "${ROOTDIR}/usr/share/doc/unixODBC-${VERSION}"
  cp      -v -R doc/* "${ROOTDIR}/usr/share/doc/unixODBC-${VERSION}"

  cd .. && rm -r "unixODBC-${VERSION}"
}
